:root {
  --dark-azure: #003c6b;
  --mint-green: #43c59e;
  --bright-red: #a1232d;
  --dark-red: #70161e;
  --pastel-azure: #a1cdf4;
  --light-blue: #eff7fc;
  --light-green: #a7e6d3;
}

h2 {
    font-size: 2em;
    font-weight: bold;
}

p {
    font-size: 1.6rem;
    font-size: clamp(1.6rem, 1.475rem + 0.6249999999999999vw, 2rem);
    line-height: 1.3em;
    margin: 20px 0 20px 0;
    max-inline-size: 66ch;
}

ul {
    padding-left: 20px;
    list-style-type: disc;
    margin: 20px 0 20px 0;
}

li {
    font-size: 1.2rem;
    font-size: clamp(1.2rem, 1.075rem + 0.6249999999999999vw, 1.6rem);
    line-height: 1.3em;
    margin: 10px 0 10px 0;
    max-inline-size: 66ch;
}

body {
    min-height: 100vh;
    width: 100%;
    font-family: "Poppins", Arial, Helvetica, sans-serif;
}

#contact-main {
    min-height: calc(100vh - 65px);
    background-color: var(--dark-azure);
}

#hero-wrapper {
    display: grid;
    column-gap: 10px;
    min-height: calc(100vh - calc(64px + 20px + 3rem));
    background-color: var(--dark-azure);
    color: #ffffff;
    padding-bottom: calc(20px + 3rem);
}

nav {
    justify-self: center;
    padding-top: 20px;
    padding-left: 20px;
    display: flex;
    height: calc(7vh + max(5vh, 1.5rem) + 8px);
}

#hero-logo-link {
    text-decoration: none;
}

#hero-logo {
    height: 100%;
    display: grid;
    grid-template-rows: 7vh calc(max(5vh, 1.5rem) + 8px);
}

#hero-logo-img {
    height: 7vh;
    justify-self: center;
}

#hero-logo-text {
    height: 5vh;
    justify-self: center;
    text-align: center;
    padding-top: 8px;
    font-size: 1.2rem;
    color:var(--mint-green);
    font-weight: bold;
    letter-spacing: 0.7px;
    font-family: "ibm_plex_mono", monospace, Courier, 'Courier New';
}

#hero-container {
    display: grid;
    align-items: center;
    column-gap: 10px;
    padding: 0 min(calc(100% - 330px), 10px);
}

#hero-img {
    max-width: 85%;
    max-height: 85%;
    justify-self: center;
    margin-bottom: 50px;
}

#tagline {
    justify-self: center;
    text-align: center;
    font-size: 2rem;
    font-size: clamp(2rem, 0.7179487179487178rem + 5.47008547008547vw, 4rem);
    max-inline-size: 27ch;
    margin-bottom: 1rem;
    white-space: unset;
    text-wrap: balance;
}

#hero-cta {
    justify-self: center;
}

#hero-cta-button {
    padding-top: 1.2em;
    padding-bottom: 1.2em;
    font-weight:500;
    width: 10ch;
    color: var(--light-blue);
}

#hero-cta-button:hover {
        background-color: var(--bright-red);
        cursor: pointer;
}

.green-highlight {
    color: var(--mint-green);
}

.wrapper-min {
    width: min(calc(100% - 30px), 64rem);
    margin-inline: auto;
}

#vision {
    margin-top: 100px;
    margin-bottom: 100px;
    display: flow-root;
    padding: 10px min(calc(100% - 330px), 10px);
    text-align: center;
    color: var(--dark-azure);
}

.main-text {
    padding-left: 50px;
    padding-right: 50px;
    margin-bottom: 3em;
}

#services-section {
    background-color: var(--dark-azure);
    background-image: url("/images/Happy-Workers.png");
    background-size: cover;
    background-repeat: no-repeat;
}

#services {
    margin-bottom: 100px;
    display: flow-root;
    padding: 10px min(calc(100% - 330px), 10px);
    color: #ffffff;
}

#service-list {
    margin-top: 30px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    column-gap: 1px;
    justify-items: center;
}

.section-padding {
    padding-top: 60px;
    padding-bottom: 60px;
}

.services-card {
    max-width: 300px;
    background-color: #eff7fc;
    color: var(--dark-azure);
    margin: 0px 30px;
    padding: 20px 20px 40px 20px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 4%;
}

#cta-card {
    background-color: var(--dark-red);
    color: var(--light-blue);
}

.services-card > h2 {
    font-size: 1.6em;
    font-weight: bold;
    margin: 0.5em 0;
    text-align: center;
    text-wrap: balance;
}

.cta-button {
    min-width: 14ch;
    margin-top: 14px;
    text-align: center;
    text-decoration: none;
    padding: 0.6em;
    font-weight: bold;
    border-radius: 4px;
    background-color: var(--dark-red);
    color: var(--light-blue);
}

#cta-card-button {
    
    background-color: var(--mint-green);
    color: var(--dark-azure);
}

#cta-card-button:hover {
    background-color: var(--light-green);
    color: var(--dark-azure);
    cursor: pointer;
}

.cta-button:hover {
    cursor: pointer;
}

.flex-buttons {
    display: flex;
    justify-content: center;
    column-gap: 20px;
    flex-wrap: wrap;
    margin-top:1.2em;
}

.cta-button:active {
    box-shadow: 2px 2px 5px #462320 inset;
}

.standard-heading {
    font-size: 1.8rem;
    font-size: clamp(1.8rem, 0.590909090909091rem + 5.09090909090909vw, 2.5rem);
    font-weight: bold;
    margin: 0.5em 0;
}

#legal-text p, h2, li {
    font-size: 1rem;
    font-size: clamp(1rem, 0.3090909090909093rem + 2.9090909090909083vw, 1.4rem);
    max-width: 50ch;
}

#legal-text a {
    color: #ffffff;
}

#legal-text a:hover {
    color: var(--light-green);
}

#legal-text a:visited {
    color: var(--mint-green);
}

.site-footer {
  padding: 20px;
  background-color: var(--light-blue);
  color: var(--dark-azure);
  text-align: center;
  border-top: 1px solid #ddd;
  font-size: 14px;
}

.footer-links {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 10px;
}

.footer-links a {
  text-decoration: none;
  color: #333;
  font-weight: 500;
  transition: color 0.3s ease;
}

.footer-links a:hover {
  color: #0073e6;
}


@media (min-width: 600px) {
    #hero-wrapper {
        padding-bottom: calc(2vh + max(5vh, 1.5rem) + 8px);
    }

    nav {
        justify-self: start;
        padding-bottom: 20px;
    }

    #hero-container {
        grid-template-columns: 1fr 1fr 1fr;
    }

    #tagline {
        grid-column: 2 / 4;
        padding-left: 15px;
        text-align: left;
        font-size: 2rem;
        font-size: clamp(2rem, -2.918032786885246rem + 10.491803278688524vw, 4rem);
    }

    #service-list {
        grid-template-columns: repeat(2, 1fr);
    }

    #hero-img {
        margin-bottom: 0;
    }

    #hero-cta {
        grid-column: 3 / 4;
        justify-self: flex-end;
    }

}

@media (min-width: 872px) {
    #service-list {
        grid-template-columns: repeat(3, 1fr);
    }
}